
<Language name="languageONE">

	<CodeTree>
		@BEGIN_SUB
		@BEGIN_FUNCTION
	</CodeTree>

	<StringDelimiter>
		sdSingleQuote
	</StringDelimiter>
	<CommentStyle>
		csAsmStyle
	</StringDelimiter>

	<Attributes>
		<ForegroundColours>
			String=clFuchsia
			Number=clYellow
			Symbol=clWhite
			Comment=clGray
			Identifier=clLime
			Constant=clRed
			Keyword=clAqua
		</ForegroundColours>
		<Styles>
			Keyword=fsBold
		</Styles>
	</Attributes>

	<Constants>
  	IF
		_IF
  	_OR
  	_AND
		_END
		END_IF
  	ELSE
		END
  	WHEN
  	WEND
  	OTHERWISE
		SECTION
		DATA
		TEXT
		CODE
		EXIT_SUB
		EXIT_FUNCTION
		EXIT_REPEAT
		c_TRUE
		c_FALSE
		c_RETURN
		c_ESCAPE
		c_RETURN_CODE
		c_ERROR_CODE
	</Constants>

	<Keywords>
		BEGIN_SUB
		END_SUB
		INSERTWORD
		BEGIN_FUNCTION
    BEGIN_RECORD
    END_RECORD
		END_FUNCTION
  	INSERTNUMBER
  	INSERTFILE
  	INSERTTABLE
  	INSERTXTABLE
  	INSERTARRAY
  	CALL
  	BEGIN
  	SUB
  	FUNCTION
  	EXIT
		USING
		SAVING
		RESTORE
  	RECORD
  	RAW
  	REPEAT
  	WHILE
  	FOR
  	FILES
  	OPEN
  	CLOSE
  	READ
  	READNEXT
  	START
  	WRITE
  	INTEGERS_EQ
  	INTEGERS_ADD
  	INTEGERS_SUB
  	INTEGERS_MUL
  	INTEGERS_DIV
  	INTEGERS_CALC
  	NUMBERS_EQ
  	NUMBERS_ADD
  	NUMBERS_SUB
  	NUMBERS_MUL
  	NUMBERS_DIV
  	NUMBERS_CALC
  	EQ
  	ADD
  	MUL
  	DIV
  	CALC
  	RANDOM
  	TOGGLE
  	WORDS_COPY
  	WORDS_PAD
  	WORDS_INSERT
  	WORDS_REPLACE
  	WORDS_FIND
  	WORDS_UPPERCASE
  	WORDS_LOWERCASE
  	WORDS_STRINGTORECORD
  	WORDS_RECORDTOSTRING
  	DISPLAY
  	ACCEPT
  	ACCEPTLINE
  	LINE
  	AT
  	CURSOR
  	TABLES_BIND
		TABLES_SORT
  	TABLES_RGET
  	TABLES_RPUT
  	TABLES_FGET
  	TABLES_FPUT
  	XTABLES_BIND
  	XTABLES_LOAD
  	XTABLES_UNLOAD
  	XTABLES_SORT
  	XTABLES_SEARCH
  	XTABLES_RGET
  	XTABLES_RPUT
  	XTABLES_FGET
  	XTABLES_FPUT
  	BEGIN_TEST
  	DATE
  	SECONDS
  	DATETODAYS
  	DAYSFROMDATE
  	TIMER
  	WWW
  	PROCESS
  	RECVMSG
  	SENDMSG
  	RUN
  	WAIT
  	TERMINATE
  	ARRAYS
  	PUT
  	GET
	</Keywords>
</Language>



